cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

UCCX subscriber fresh install fails on 10.6.1 SU1

1659
Views
30
Helpful
7
Comments

Problem

 

The Publisher has been upgraded to 10.6.1 SU1 using Refresh Upgrade. However, during the fresh installation of UCCX subscriber on 10.6.1 SU1 with the purpose of Adding to Cluster post installation to achieve HA, the installation keeps failing at below screen:

 

 

Resolution

Contact TAC and get the workaround done in the root post which you can attempt to perform the installation again and it will go through.

 

Reference Bug - CSCuw65303

 

Regards

Deepak

Comments
Beginner

Thanks for posting this Deepak- I encountered the exact same problem just now

Cisco Employee

Glad that it was of help to you. Please remember to mark useful posts and discussions

 

Regards

Deepak

Enthusiast

I performed an upgrade of 10.6.1(SU1) to 11.0.1 this weekend. The upgrade of the Publisher went perfectly fine.

However, the upgrade of the Subscriber failed. I pulled the install log files of the upgrade and found this in the logs:

03/12/2016 10:30:01 component_install|(CAPTURE) error: %post(UCCX08_Post_install-8.0.1-1.i386) scriptlet failed, exit status 1|<LVL::Debug>
03/12/2016 10:30:01 component_install|File:/opt/cisco/install/bin/component_install:902, Function: execute_rpm_cmd(), rpm  -iv --replacefiles --nodeps /common/rpm-archive/11.0.1.10000-75/RPMS/contactcenterexpress/UCCX08_Post_install-8.0.1-1.i386.rpm failed (1)|<LVL::Error>

The tried the upgrade again using SFTP instead of ISO mounted from the datastore and got the same error.

I proceeded to delete the Subscriber and re-install. The install failed the same error as the screenshot.

I contacted TAC which pointed me to this BUG. He provided the workaround on the Publisher and I was able to complete the install.

I want to find out if this bug also affects 11.0.1 upgrades and NOT just for fresh install of Subscriber but for upgrades of the Subscriber as well?

If it does affect 11.0 and upgrades of subscriber, can we get this document and BUG updated to reflect this information?

Beginner

Hello Deepak,

I'm currently upgrading one of our UCCX clusters from 10.6.1.11001-31 to 11.5.1.10000-61 and I'm hitting this error message on the subscriber:

09/24/2016 09:45:04 component_install|(CAPTURE) UCCX08_Post_install-8.0.1-1|<LVL::Debug>
09/24/2016 09:45:04 component_install|(CAPTURE) error: %post(UCCX08_Post_install-8.0.1-1.i386) scriptlet failed, exit status 1|<LVL::Debug>

I openned a ticket with TAC but I'm still waiting for them to contact me.

Can you explain what the workaround looks like ?

Regards,

Daniel

Beginner

Got news from TAC and our issue is related to this bug.

We ran the root workaround and we're going to be able to finish the upgrade.

The installation is now.

Basically, the issue is that the publisher is not authorizing the subscriber to complete the installation.

There is no other way to fix this other than contacting TAC as the fix needs root access.

In prenvention, we applied the fix to our two other uccx clusters

Enthusiast

Just to add to this thread, it seems that it is not only affecting 11.0 but 11.x.  I performed a 10.6su1 to 11.5.1 upgrade and ran into the exact same bug.  Again TAC needs to be involved.  They gain root access and allow for publisher to recognize the subscriber and thus lets the upgrade complete successfully.  Hope this helps

Please rate helpful posts

Tony

Enthusiast

Cheers for Deepak. We had this issue but I found your post after TAC fixed the issue afterwards. I'll keep this in mind for the future :)